import request from '@/utils/request';
import {parseStrEmpty} from "@/utils/ruoyi";

// 查询监控单元列表
export function listMonitorUnit(query) {
  return request({
    url: '/business/monitorUnit/list',
    method: 'get',
    params: query
  })
}

// 查询监控单元详细
export function getMonitorUnit(monitorUnitId) {
  return request({
    url: '/business/monitorUnit/' + monitorUnitId,
    method: 'get'
  })
}

// 新增监控单元
export function addMonitorUnit(data) {
  return request({
    url: '/business/monitorUnit',
    method: 'post',
    data: data
  })
}

// 修改监控单元
export function updateMonitorUnit(data) {
  return request({
    url: '/business/monitorUnit',
    method: 'put',
    data: data
  })
}

// 删除监控单元
export function delMonitorUnit(monitorUnitId) {
  return request({
    url: '/business/monitorUnit/' + monitorUnitId,
    method: 'delete'
  })
}


// 查询场景信息列表供查询页面选择使用（例如下拉列表）
export function getScenes(query) {
  return request({
    url: '/business/monitorUnit/getScenes',
    method: 'get',
    params: query
  })
}

// 查询场景信息列表供编辑页面选择使用（例如下拉列表）
export function getEditedScenes(query) {
  return request({
    url: '/business/monitorUnit/getEditedScenes',
    method: 'get',
    params: query
  })
}

// 查询监控单元类型供查询页面选择使用
export function getMonitorUnitTypes(sceneId) {
  return request({
    url: '/business/monitorUnit/getMonitorUnitTypes/' + parseStrEmpty(sceneId),
    method: 'get'
  })
}

// 查询监控单元列表供编辑页面选择使用
export function getEditedMonitorUnits(query) {
  return request({
    url: '/business/monitorUnit/getEditedMonitorUnits',
    method: 'get',
    params: query
  })
}

